> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session



## OpenAPI

````yaml /swagger/openapi.json get /sessions/{session_id}
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.funnelfox.io/public/v1
security: []
paths:
  /sessions/{session_id}:
    get:
      summary: Get Session
      operationId: GetSession
      parameters:
        - in: header
          name: Fox-Secret
          required: true
          description: Project Secret Key
          schema:
            type: string
            example: secret_
        - in: path
          name: session_id
          required: true
          description: Session ID
          schema:
            type: string
      responses:
        '200':
          description: Funnel
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - attributes
                  - created_at
                  - funnel_id
                  - origin
                  - profile_id
                  - query_params
                  - replies
                  - user_agent
                properties:
                  id:
                    type: string
                  attributes:
                    type: object
                    properties:
                      city:
                        type: string
                      country:
                        type: string
                        description: A ISO-3166-1 alpha-2 code
                        example:
                          - GB
                          - US
                      ip:
                        type: string
                      postal_code:
                        type: string
                      region_code:
                        type: string
                      locale_code:
                        type: string
                      timezone:
                        type: string
                  created_at:
                    type: integer
                    format: int64
                    description: UNIX timestamp in seconds
                    example: 1716672462
                  funnel_id:
                    type: string
                    example: '00000000000000000000000000'
                  origin:
                    type: string
                  replies:
                    type: array
                    items:
                      type: object
                      required:
                        - screen_id
                        - element_id
                        - value
                      properties:
                        element_id:
                          type: string
                        screen_id:
                          type: string
                        value:
                          anyOf:
                            - type: string
                            - type: integer
                  profile_id:
                    type: string
                  query:
                    type: string
                  query_params:
                    type: object
                  user_agent:
                    type: string
                  experiment_id:
                    type: string
                  locale:
                    type: string
        '400':
          description: Request error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string

````